using DevExpress.Xpf.Core;
using System;
using System.Collections.Generic;
using System.Windows;


namespace AidA.View
{
    /// <summary>
    /// Interaction logic for LoginWindow.xaml
    /// </summary>
    public partial class LoginWindow : ThemedWindow
    {
        // "ingo-meurer", "ralf-puetz", "benjamin-schmitz" nathalie-freydin", "anne-vonfallois"
        private List<String> UserList = new List<string> { "", "aida" };


        public LoginWindow()
        {
            try
            {
                InitializeComponent();
                TextBoxAnmeldename.Text = Environment.UserName;

                foreach (var user in UserList)
                {
                    ComboBoxBenutzername.Items.Add(user);
                }
                if (Environment.UserName.Equals("kojob"))
                {
                    ComboBoxBenutzername.Items.Add("kojo");
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("Fehler beim Initialisieren der Benutzeroberflächen");
            }
        }


        private void AnmeldenButton_Click(object sender, RoutedEventArgs e)
        {
            var text = "Bitte einen der verfügbaren Datenbank-Benutzer auswählen und dessen Passwort eingeben.";

            if (ComboBoxBenutzername.SelectedItem != null)
            {
                string user = (string)ComboBoxBenutzername.SelectedItem;
                if (user.Length > 0)
                {
                    MainController.Login(user, PasswordBoxUserPassword.Password, this);
                }
                else
                {
                    MessageBox.Show(text, "Datenbank-Benutzer auswählen", MessageBoxButton.OK);
                }
            }
            else
            {
                MessageBox.Show(text, "Datenbank-Benutzer auswählen", MessageBoxButton.OK);
            }
        }
    }
}
